regina::alias::Simplices< Derived, 2 > Class Template Reference
Dimension-Specific Aliases

Helper class that provides dimension-specific aliases for size(), simplices(), hasBoundaryFacets() and countBoundaryFacets(), where reasonable. More...

`#include <triangulation/alias/simplex.h>`

## Public Member Functions

size_t | countTriangles () const
| A dimension-specific alias for size(). More...
const std::vector< Simplex< 2 > * > & | triangles () const
| A dimension-specific alias for simplices(). More...
bool | hasBoundaryEdges () const
| A dimension-specific alias for hasBoundaryFacets(). More...
size_t | countBoundaryEdges () const
| A dimension-specific alias for countBoundaryFacets(). More...

## Detailed Description

### template<class Derived>
class regina::alias::Simplices< Derived, 2 >

Helper class that provides dimension-specific aliases for size(), simplices(), hasBoundaryFacets() and countBoundaryFacets(), where reasonable.

This is inherited by the class Derived, which must provide routines of the forms `size_t size() const`, `const std::vector<Simplex<dim>*>& simplices() const`, `bool hasBoundaryFacets() const`, and `size_t countBoundaryFacets() const`.

The documentation for this class was generated from the following file:

- triangulation/alias/simplex.h

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).